Probe a Google target service account through this organization's principal
curl --request POST \
--url https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"target_service_account": "<string>",
"endpoint": "<string>",
"location": "<string>"
}
'import requests
url = "https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate"
payload = {
"project_id": "<string>",
"target_service_account": "<string>",
"endpoint": "<string>",
"location": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
target_service_account: '<string>',
endpoint: '<string>',
location: '<string>'
})
};
fetch('https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'target_service_account' => '<string>',
'endpoint' => '<string>',
'location' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"target_service_account\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"location\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"target_service_account\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"location\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"target_service_account\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"location\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Data Control Center
Probe a Google target service account through this organization's principal
POST
/
api
/
dlp
/
admin
/
v1
/
provider-connections
/
google-impersonation-validate
Probe a Google target service account through this organization's principal
curl --request POST \
--url https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"target_service_account": "<string>",
"endpoint": "<string>",
"location": "<string>"
}
'import requests
url = "https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate"
payload = {
"project_id": "<string>",
"target_service_account": "<string>",
"endpoint": "<string>",
"location": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
target_service_account: '<string>',
endpoint: '<string>',
location: '<string>'
})
};
fetch('https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'target_service_account' => '<string>',
'endpoint' => '<string>',
'location' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"target_service_account\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"location\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"target_service_account\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"location\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/dlp/admin/v1/provider-connections/google-impersonation-validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"target_service_account\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"location\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
ApiKeyOAuth2
Scopes
Body
application/json